Edit the amount of a ramp request
curl --request PUT \
--url https://api-fundflow.venly.io/v1/ramp-requests/{id}/amount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"amount": 1000.5
}
'import requests
url = "https://api-fundflow.venly.io/v1/ramp-requests/{id}/amount"
payload = {
"version": 123,
"amount": 1000.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 123, amount: 1000.5})
};
fetch('https://api-fundflow.venly.io/v1/ramp-requests/{id}/amount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"amount": 123,
"netAmount": 123,
"fiatAmount": 1000,
"fiatNetAmount": 990,
"cryptoAmount": 0.5,
"fiatFeeAmount": 10,
"exchangeRate": 2000,
"feePercentage": 1,
"paymentReference": "PAY-2024-001234",
"paymentReceived": true,
"blockchainTransactionHash": "0x1234...",
"createdAt": "2023-11-07T05:31:56Z",
"companyBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bankName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"bankCountry": "<string>",
"beneficiaryAddressLine1": "<string>",
"beneficiaryAddressLine2": "<string>",
"beneficiaryCity": "<string>",
"beneficiaryState": "<string>",
"beneficiaryPostalCode": "<string>",
"beneficiaryCountry": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"iban": "<string>",
"bic": "<string>",
"intermediaryBic": "<string>"
},
"companyWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"address": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123
},
"depositBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankName": "<string>",
"beneficiary": "<string>",
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"label": "<string>",
"isActive": true,
"isDefault": true,
"version": 123,
"bic": "<string>",
"intermediaryBic": "<string>",
"iban": "<string>"
},
"depositWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"label": "<string>",
"isDefault": true,
"isActive": true,
"version": 123
},
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"cryptoCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"label": "USD Coin",
"enabled": true,
"version": 123,
"coingeckoId": "<string>"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"username": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"version": 123,
"metadata": {}
}
],
"version": 123,
"amountReceived": 123
}
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "OPTIMISTIC_LOCK_EXCEPTION",
"message": "The resource has been modified. Please fetch the latest version and retry."
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Ramp Requests
Edit the amount of a ramp request
Update the incoming amount of a pending ramp request.
PUT
/
v1
/
ramp-requests
/
{id}
/
amount
Edit the amount of a ramp request
Updates the incoming amount — fiat for on-ramp, crypto for off-ramp — while the request is still in
AWAITING_APPROVAL. The outgoing amount is recalculated from current exchange rates and fees. Send the current version for optimistic locking.
Concept guide: TransactionsAuthorizations
OAuth2 authentication via Venly Identity Platform
Path Parameters
Unique identifier of the ramp request
Body
application/json
Request to update the incoming amount for an existing ramp request with optimistic locking
Version number for optimistic locking. Must match the current version of the entity. If the version has changed since the client last fetched the resource, the request will fail with HTTP 409.
The new incoming amount to set.
- For ON_RAMP: This is the fiat amount (amount to be sent)
- For OFF_RAMP: This is the crypto amount (amount to be sent)
Required range:
x >= 1e-8Example:
1000.5
Was this page helpful?
⌘I

